path: /build/build/gexiv2-media-libs-0.12.0.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-gtk-doc -python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 -test introspection python_targets_python3_9 vala" emerge media-libs/gexiv2 -pv -t && \
    USE="-gtk-doc -python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 -test introspection python_targets_python3_9 vala" emerge -j ${JOBS} --nodeps media-libs/gexiv2
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/gexiv2 && luet-portage --dir /pkgdir/gexiv2
    media-libs/gexiv2 && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:f07fa0542f8360231aed7c0e2fd526e77bc752f30e4d631c4f72bf23712594ec
  package:
    name: gexiv2
    version: 0.12.0
    category: media-libs
    use_flags:
    - -gtk-doc
    - -python_targets_python3_10
    - -python_targets_python3_7
    - -python_targets_python3_8
    - -test
    - introspection
    - python_targets_python3_9
    - vala
    requires:
    - name: tracker
      version: '>=0'
      category: app-misc
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: GObject-based wrapper around the Exiv2 library
    uri:
    - https://wiki.gnome.org/Projects/gexiv2
    license: LGPL-2.1
    buildtimestamp: 2023-09-06 23:23:04.688070088 +0000 UTC m=+63.517754377
    labels:
      DEPEND: python_targets_python3_7? ( dev-lang/python:3.7 ) python_targets_python3_9?
        ( dev-lang/python:3.9 ) python_targets_python3_8? ( dev-lang/python:3.8 )
        python_targets_python3_10? ( dev-lang/python:3.10 ) >=dev-lang/python-exec-2:=[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
        >=dev-libs/glib-2.62.2:2 >=media-gfx/exiv2-0.21:0= introspection? ( >=dev-libs/gobject-introspection-1.62.0:=
        ) virtual/pkgconfig gtk-doc? ( dev-util/gtk-doc ) test? ( dev-python/pygobject:3
        media-gfx/exiv2[xmp] ) vala? ( || ( dev-lang/vala:0.50 dev-lang/vala:0.48
        dev-lang/vala:0.46 dev-lang/vala:0.44 dev-lang/vala:0.42 dev-lang/vala:0.40
        dev-lang/vala:0.36 ) ) >=dev-util/meson-0.48.2 >=dev-util/ninja-1.7.2
      IUSE: gtk-doc +introspection python static-libs test +vala python_targets_python3_7
        python_targets_python3_9 python_targets_python3_8 python_targets_python3_10
      RDEPEND: python_targets_python3_7? ( dev-lang/python:3.7 ) python_targets_python3_9?
        ( dev-lang/python:3.9 ) python_targets_python3_8? ( dev-lang/python:3.8 )
        python_targets_python3_10? ( dev-lang/python:3.10 ) >=dev-lang/python-exec-2:=[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
        >=dev-libs/glib-2.62.2:2 >=media-gfx/exiv2-0.21:0= introspection? ( >=dev-libs/gobject-introspection-1.62.0:=
        )
      emerge.packages: media-libs/gexiv2
      kit: gnome-kit
      original.package.name: media-libs/gexiv2
      original.package.slot: "0"
      original.package.version: 0.12.0
    treedir: /build/packages
  package_dir: /pkgdir/gexiv2
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: a6a0b8a9e3d05686d7988d2a269063ee1bce899bf9a0b52031b1b9dc4ab5d7b6
compressiontype: zstd
files:
- usr/include/gexiv2/gexiv2-enums.h
- usr/include/gexiv2/gexiv2-log.h
- usr/include/gexiv2/gexiv2-managed-stream.h
- usr/include/gexiv2/gexiv2-metadata.h
- usr/include/gexiv2/gexiv2-preview-image.h
- usr/include/gexiv2/gexiv2-preview-properties.h
- usr/include/gexiv2/gexiv2-startup.h
- usr/include/gexiv2/gexiv2-version.h
- usr/include/gexiv2/gexiv2.h
- usr/lib/python3.9/site-packages/gi/overrides/GExiv2.py
- usr/lib/python3.9/site-packages/gi/overrides/__pycache__/GExiv2.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/gi/overrides/__pycache__/GExiv2.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/gi/overrides/__pycache__/GExiv2.cpython-39.pyc
- usr/lib64/girepository-1.0/GExiv2-0.10.typelib
- usr/lib64/libgexiv2.so
- usr/lib64/libgexiv2.so.2
- usr/lib64/libgexiv2.so.2.0.0
- usr/lib64/pkgconfig/gexiv2.pc
- usr/share/doc/gexiv2-0.12.0/AUTHORS
- usr/share/doc/gexiv2-0.12.0/NEWS.bz2
- usr/share/doc/gexiv2-0.12.0/README.bz2
- usr/share/doc/gexiv2-0.12.0/THANKS.bz2
- usr/share/gir-1.0/GExiv2-0.10.gir
- usr/share/vala/vapi/gexiv2.deps
- usr/share/vala/vapi/gexiv2.vapi
- var/db/pkg/media-libs/gexiv2-0.12.0/BUILD_TIME
- var/db/pkg/media-libs/gexiv2-0.12.0/CATEGORY
- var/db/pkg/media-libs/gexiv2-0.12.0/CBUILD
- var/db/pkg/media-libs/gexiv2-0.12.0/CFLAGS
- var/db/pkg/media-libs/gexiv2-0.12.0/CHOST
- var/db/pkg/media-libs/gexiv2-0.12.0/CONTENTS
- var/db/pkg/media-libs/gexiv2-0.12.0/COUNTER
- var/db/pkg/media-libs/gexiv2-0.12.0/CXXFLAGS
- var/db/pkg/media-libs/gexiv2-0.12.0/DEFINED_PHASES
- var/db/pkg/media-libs/gexiv2-0.12.0/DEPEND
- var/db/pkg/media-libs/gexiv2-0.12.0/DESCRIPTION
- var/db/pkg/media-libs/gexiv2-0.12.0/EAPI
- var/db/pkg/media-libs/gexiv2-0.12.0/FEATURES
- var/db/pkg/media-libs/gexiv2-0.12.0/HOMEPAGE
- var/db/pkg/media-libs/gexiv2-0.12.0/INHERITED
- var/db/pkg/media-libs/gexiv2-0.12.0/IUSE
- var/db/pkg/media-libs/gexiv2-0.12.0/IUSE_EFFECTIVE
- var/db/pkg/media-libs/gexiv2-0.12.0/KEYWORDS
- var/db/pkg/media-libs/gexiv2-0.12.0/LDFLAGS
- var/db/pkg/media-libs/gexiv2-0.12.0/LICENSE
- var/db/pkg/media-libs/gexiv2-0.12.0/NEEDED
- var/db/pkg/media-libs/gexiv2-0.12.0/PF
- var/db/pkg/media-libs/gexiv2-0.12.0/PROVIDES
- var/db/pkg/media-libs/gexiv2-0.12.0/RDEPEND
- var/db/pkg/media-libs/gexiv2-0.12.0/REQUIRES
- var/db/pkg/media-libs/gexiv2-0.12.0/SIZE
- var/db/pkg/media-libs/gexiv2-0.12.0/SLOT
- var/db/pkg/media-libs/gexiv2-0.12.0/USE
- var/db/pkg/media-libs/gexiv2-0.12.0/environment.bz2
- var/db/pkg/media-libs/gexiv2-0.12.0/gexiv2-0.12.0.ebuild
- var/db/pkg/media-libs/gexiv2-0.12.0/repository
package_cacheimage: ""
runtime:
  name: gexiv2
  version: 0.12.0
  category: media-libs
  use_flags:
  - -gtk-doc
  - -python_targets_python3_10
  - -python_targets_python3_7
  - -python_targets_python3_8
  - -test
  - introspection
  - python_targets_python3_9
  - vala
  requires:
  - name: gobject-introspection
    version: '>=0'
    category: dev-libs
  - name: exiv2
    version: '>=0'
    category: media-gfx
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: GObject-based wrapper around the Exiv2 library
  uri:
  - https://wiki.gnome.org/Projects/gexiv2
  license: LGPL-2.1
  labels:
    DEPEND: python_targets_python3_7? ( dev-lang/python:3.7 ) python_targets_python3_9?
      ( dev-lang/python:3.9 ) python_targets_python3_8? ( dev-lang/python:3.8 ) python_targets_python3_10?
      ( dev-lang/python:3.10 ) >=dev-lang/python-exec-2:=[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
      >=dev-libs/glib-2.62.2:2 >=media-gfx/exiv2-0.21:0= introspection? ( >=dev-libs/gobject-introspection-1.62.0:=
      ) virtual/pkgconfig gtk-doc? ( dev-util/gtk-doc ) test? ( dev-python/pygobject:3
      media-gfx/exiv2[xmp] ) vala? ( || ( dev-lang/vala:0.50 dev-lang/vala:0.48 dev-lang/vala:0.46
      dev-lang/vala:0.44 dev-lang/vala:0.42 dev-lang/vala:0.40 dev-lang/vala:0.36
      ) ) >=dev-util/meson-0.48.2 >=dev-util/ninja-1.7.2
    IUSE: gtk-doc +introspection python static-libs test +vala python_targets_python3_7
      python_targets_python3_9 python_targets_python3_8 python_targets_python3_10
    RDEPEND: python_targets_python3_7? ( dev-lang/python:3.7 ) python_targets_python3_9?
      ( dev-lang/python:3.9 ) python_targets_python3_8? ( dev-lang/python:3.8 ) python_targets_python3_10?
      ( dev-lang/python:3.10 ) >=dev-lang/python-exec-2:=[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
      >=dev-libs/glib-2.62.2:2 >=media-gfx/exiv2-0.21:0= introspection? ( >=dev-libs/gobject-introspection-1.62.0:=
      )
    emerge.packages: media-libs/gexiv2
    kit: gnome-kit
    original.package.name: media-libs/gexiv2
    original.package.slot: "0"
    original.package.version: 0.12.0
